#pragma once

class CMemoryDC : public CDC 
{
public:
	CMemoryDC(CDC* pDC, const CRect* pRect = NULL);
	~CMemoryDC();

	void NextFrame(CDC* pDC);
	void Display();

	CRect GetRect() { return m_rect; }

	// Openrators	
	CMemoryDC* operator->() { return this; } 	// Allow usage as a pointer	
	operator CMemoryDC*()	{ return this; }	// Allow usage as a pointer	

private:	
	CBitmap		m_bitmap;		// Offscreen bitmap
	CBitmap*	m_oldBitmap;	// bitmap originally found in CMemDC
	CDC*		m_pDC;			// Saves CDC passed in constructor
	CRect		m_rect;			// Rectangle of drawing area.
	BOOL		m_bMemDC;		// TRUE if CDC really is a Memory DC.
};