// OpenVideoFileView.h : interface of the COpenVideoFileView class
//
#pragma once

class CMemoryDC;
class COpenVideoFileView : public CView
{
	DECLARE_DYNCREATE(COpenVideoFileView)

public: // create from serialization only
	COpenVideoFileView();
	virtual ~COpenVideoFileView();

	void DrawNextFrameDC(CDC* pDC);


public:
	CMemoryDC *_memoryDC;
	ULONG_PTR  _gdiplusToken;

	CSize _viewSize;

public:	// Overrides
	COpenVideoFileDoc* GetDocument() const;

	virtual void OnInitialUpdate();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	
	#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext& dc) const;
	#endif


protected:	// Generated message map functions
	DECLARE_MESSAGE_MAP()

public:

};
#ifndef _DEBUG  // debug version in OpenVideoFileView.cpp
inline COpenVideoFileDoc* COpenVideoFileView::GetDocument() const { return reinterpret_cast<COpenVideoFileDoc*>(m_pDocument); }
#endif

